FieldMap.h File Reference
`#include "Field.h"`
`#include "MessageSorters.h"`
`#include "Exceptions.h"`
`#include "Utility.h"`
`#include <map>`
`#include <vector>`
`#include <sstream>`
`#include <algorithm>`
Include dependency graph for FieldMap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | FIX::FieldMap
| Stores and organizes a collection of Fields. More...

## Namespaces

| FIX

## Macros

#define | FIELD_SET(MAP, FIELD)
#define | FIELD_GET_PTR(MAP, FLD) (const FIX::FLD*)MAP.getFieldPtr( FIX::FIELD::FLD )
#define | FIELD_GET_REF(MAP, FLD) (const FIX::FLD&)MAP.getFieldRef( FIX::FIELD::FLD )
#define | FIELD_THROW_IF_NOT_FOUND(MAP, FLD)

## Macro Definition Documentation

## FIELD_GET_PTR

#define FIELD_GET_PTR | ( |  | MAP,
|  |  | FLD
| ) |  | (const FIX::FLD*)MAP.getFieldPtr( FIX::FIELD::FLD )

Definition at line 236 of file FieldMap.h.

Referenced by FIX::Session::verify().

## FIELD_GET_REF

#define FIELD_GET_REF | ( |  | MAP,
|  |  | FLD
| ) |  | (const FIX::FLD&)MAP.getFieldRef( FIX::FIELD::FLD )

Definition at line 238 of file FieldMap.h.

Referenced by FIX::MessageCracker::crack(), FIX::Message::isAdmin(), FIX::Message::isApp(), FIX::Session::lookupSession(), FIX::Session::next(), FIX::DataDictionary::validate(), FIX::Message::validate(), and FIX::Session::verify().

## FIELD_SET

#define FIELD_SET | ( |  | MAP,
|  |  | FIELD
| ) |  |

Value:
bool isSet( const FIELD& field ) const \
{ return (MAP).isSetField(field); } \
void set( const FIELD& field ) \
{ (MAP).setField(field); } \
FIELD& get( FIELD& field ) const \
{ return (FIELD&)(MAP).getField(field); } \
bool getIfSet( FIELD& field ) const \
{ return (MAP).getFieldIfSet(field); }

Definition at line 226 of file FieldMap.h.

## FIELD_THROW_IF_NOT_FOUND

#define FIELD_THROW_IF_NOT_FOUND | ( |  | MAP,
|  |  | FLD
| ) |  |

Value:
if( !(MAP).isSetField( FIX::FIELD::FLD) ) \
throw FieldNotFound( FIX::FIELD::FLD )

Definition at line 240 of file FieldMap.h.

Referenced by FIX::Session::next().